Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization.transform.shape
Class HyperbolicShapeTransformer

    java.lang.Object
      edu.uci.ics.jung.visualization.transform.MutableTransformerDecorator
          edu.uci.ics.jung.visualization.transform.LensTransformer
              edu.uci.ics.jung.visualization.transform.HyperbolicTransformer
                  edu.uci.ics.jung.visualization.transform.shape.HyperbolicShapeTransformer

All Implemented Interfaces:
  ChangeEventSupport, MutableTransformer, ShapeTransformer, Transformer

public class HyperbolicShapeTransformer
extends HyperbolicTransformer
implements ShapeTransformer

HyperbolicShapeTransformer extends HyperbolicTransformer and adds implementations for methods in ShapeTransformer. It modifies the shapes (Vertex, Edge, and Arrowheads) so that they are distorted by the hyperbolic transformation

Author:
  Tom Nelson - RABA Technologies

Nested Class Summary

Nested classes inherited from class edu.uci.ics.jung.visualization.transform.LensTransformer
`LensTransformer.ComponentListenerImpl, LensTransformer.PolarPoint`

Field Summary

Fields inherited from class edu.uci.ics.jung.visualization.transform.LensTransformer
`ellipse, magnification`

Fields inherited from class edu.uci.ics.jung.visualization.transform.MutableTransformerDecorator
`delegate`

Constructor Summary
`HyperbolicShapeTransformer(Component component)` Create an instance, setting values from the passed component and registering to listen for size changes on the component.
`HyperbolicShapeTransformer(Component component, MutableTransformer delegate)` Create an instance, setting values from the passed component and registering to listen for size changes on the component, with a possibly shared transform `delegate`.

Method Summary
`Shape` | `inverseTransform(Shape shape)`
`Shape` | `transform(Shape shape)` Transform the supplied shape with the overridden transform method so that the shape is distorted by the hyperbolic transform.
`Shape` | `transform(Shape shape, float flatness)`

Methods inherited from class edu.uci.ics.jung.visualization.transform.HyperbolicTransformer
`inverseTransform, transform`

Methods inherited from class edu.uci.ics.jung.visualization.transform.LensTransformer
`cartesianToPolar, cartesianToPolar, getDistanceFromCenter, getEllipse, getMagnification, getRatio, getViewCenter, getViewRadius, polarToCartesian, polarToCartesian, setEllipse, setMagnification, setToIdentity, setViewCenter, setViewRadius`

Methods inherited from class edu.uci.ics.jung.visualization.transform.MutableTransformerDecorator
`addChangeListener, concatenate, fireStateChanged, getChangeListeners, getDelegate, getRotation, getScale, getScaleX, getScaleY, getShearX, getShearY, getTransform, getTranslateX, getTranslateY, preConcatenate, removeChangeListener, rotate, rotate, scale, setDelegate, setScale, setTranslate, shear, translate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.uci.ics.jung.visualization.transform.Transformer
`inverseTransform, transform`

Methods inherited from interface edu.uci.ics.jung.visualization.transform.MutableTransformer
`concatenate, getRotation, getScale, getScaleX, getScaleY, getShearX, getShearY, getTransform, getTranslateX, getTranslateY, preConcatenate, rotate, rotate, scale, setScale, setToIdentity, setTranslate, shear, translate`

Methods inherited from interface edu.uci.ics.jung.utils.ChangeEventSupport
`addChangeListener, fireStateChanged, getChangeListeners, removeChangeListener`

Constructor Detail

### HyperbolicShapeTransformer

    public HyperbolicShapeTransformer(Component component)

  Create an instance, setting values from the passed component and registering to listen for size changes on the component.

### HyperbolicShapeTransformer

    public HyperbolicShapeTransformer(Component component,
                                      MutableTransformer delegate)

  Create an instance, setting values from the passed component and registering to listen for size changes on the component, with a possibly shared transform `delegate`.

Method Detail

### transform

    public Shape transform(Shape shape)

  Transform the supplied shape with the overridden transform method so that the shape is distorted by the hyperbolic transform.

  Specified by:
    `transform` in interface `ShapeTransformer`
  Overrides:
    `transform` in class `MutableTransformerDecorator`
  Parameters:
    `shape` - a shape to transform
  Returns:
    a GeneralPath for the transformed shape

### transform

    public Shape transform(Shape shape,
                           float flatness)

### inverseTransform

    public Shape inverseTransform(Shape shape)

  Specified by:
    `inverseTransform` in interface `ShapeTransformer`
  Overrides:
    `inverseTransform` in class `MutableTransformerDecorator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD